<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Stock](./bitburner.stock.md) &gt; [sellStock](./bitburner.stock.sellstock.md)

## Stock.sellStock() method

Sell stocks.

**Signature:**

```typescript
sellStock(sym: string, shares: number): number;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

sym


</td><td>

string


</td><td>

Stock symbol.


</td></tr>
<tr><td>

shares


</td><td>

number


</td><td>

Number of shares to sell. Must be positive. Will be rounded to the nearest integer.


</td></tr>
</tbody></table>

**Returns:**

number

The stock price at which each share was sold, otherwise 0 if the shares weren't sold.

## Remarks

RAM cost: 2.5 GB

Attempts to sell shares of a stock using a Market Order.

If the specified number of shares in the function exceeds the amount that the player actually owns, then this function will sell all owned shares. Remember that every transaction on the stock exchange costs a certain commission fee.

The net profit made from selling stocks with this function is reflected in the script’s statistics. This net profit is calculated as:

shares \* (sell\_price - average\_price\_of\_purchased\_shares)

If the sale is successful, this function will return the stock price at which each share was sold. Otherwise, it will return 0.

